package com.chinaweal.aiccs.common.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * 文件参数模型常量
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021/3/20 10:49
 **/
public abstract class FileParamModelConstant {

    private final static Map<String, Map<String, String>> MODEL_MAP = new HashMap<>();

    static{
        Map<String, String> company = new HashMap<>();
        company.put("统一社会信用代码", "uniscid");
        company.put("主体名称", "entname");
        company.put("注册号", "regno");
        MODEL_MAP.put("company", company);
    }

    /**
     * 获取模型
     * @param model 模型标识
     * @return 获取结果
     * @author lroyia
     * @since 2021年3月20日 10:55:48
     */
    public static Map<String, String> getModel(String model){
        return MODEL_MAP.get(model);
    }
}
